%define upstream_name    Color-Library
%define upstream_version 0.021

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    (NBS/ISCC TC) Standard Color Card of America
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Color/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Color::Library is an easy-to-use and comprehensive named-color dictionary.
Currently provides coverage for www (svg, html, css) colors, x11 colors,
and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.21.0-3.mga6
+ Revision: 1024265
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.21.0-2.mga6
+ Revision: 951486
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 shlomif <shlomif> 0.21.0-1.mga5
+ Revision: 808107
- imported package perl-Color-Library


* Fri Jan 02 2015 cpan2dist 0.021-1mga
- initial mageia release, generated with cpan2dist
